Strategy / REST API
List gtm assets
List offering-scoped direct offers, front-end offers, and lead magnets, optionally filtered by lifecycle. Read-only.
GET /api/v1/gtm-assetsDeterministic operationParameters
workspaceIdRequired · string- See the input schema for this field.
offeringIdOptional · string- See the input schema for this field.
kindOptional · string- See the input schema for this field.offer · lead_magnet
lifecycleOptional · string- See the input schema for this field.candidate · reviewed · approved · campaign_selected · winning · retired
curl -X GET "https://app.pipeline.help/api/v1/gtm-assets?workspaceId=00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"offeringId": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"offer",
"lead_magnet"
]
},
"lifecycle": {
"type": "string",
"enum": [
"candidate",
"reviewed",
"approved",
"campaign_selected",
"winning",
"retired"
]
}
},
"required": [
"workspaceId"
],
"additionalProperties": false
}